DS_CAN_SWAPTRANSFER_ELEMENT(3)

FUNCTION
ds_can_swaptransfer_element - Test if an element can be swapped and transferred in one block.

SYNOPSIS
#include <karma_ds.h>

flag ds_can_swaptransfer_element

(unsigned int type)

DESCRIPTION
This routine will determine if an element can be transferred as a single block of data with swapping (i.e. no extra conversion other than byte-swapping between host and network format is needed).

type
    The type of the element.

RETURN VALUE
TRUE if the element may be byteswapped and transferred in a single block, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/